> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unifygtm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get results

> Get results for a finished record query job.



## OpenAPI

````yaml GET /data/v1/objects/{object_name}/query-jobs/{job_id}/results
openapi: 3.1.0
info:
  title: Unify Data API
  summary: Interact with objects, attributes, and records within the Unify platform.
  version: '1'
  termsOfService: https://www.unifygtm.com/legal/terms-and-conditions
  contact:
    name: Unify Support
    url: https://www.unifygtm.com/support
    email: support@unifygtm.com
servers:
  - url: https://api.unifygtm.com
    variables: {}
security:
  - ApiKeyAuth: []
tags:
  - name: Data
  - name: Object Record Query Jobs
  - name: Event Query Jobs
  - name: Lists
  - name: List Entries
  - name: Objects
  - name: Object Attributes
  - name: Object Attribute Options
  - name: Object Records
paths:
  /data/v1/objects/{object_name}/query-jobs/{job_id}/results:
    get:
      tags:
        - Data
        - Object Record Query Jobs
      description: |-
        Get query job results. By default this returns JSON. Send
        `Accept: application/x-ndjson` to stream newline-delimited JSON.
      operationId: get_object_record_query_job_results
      parameters:
        - name: object_name
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/UObjects.UObjectName'
        - name: job_id
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
          explode: false
        - name: page_size
          in: query
          required: false
          description: |-
            Maximum is 2,000 for JSON responses and 10,000 when `Accept` is
            `application/x-ndjson`.
          schema:
            type: integer
            minimum: 1
            maximum: 10000
          explode: false
      responses:
        '200':
          description: >-
            Successful response returned when fetching completed query job
            results.
          headers:
            x-total:
              required: false
              description: Total result count. Present for NDJSON responses.
              schema:
                type: integer
            x-page:
              required: false
              description: Result page number. Present for NDJSON responses.
              schema:
                type: integer
            x-page-size:
              required: false
              description: Result page size. Present for NDJSON responses.
              schema:
                type: integer
          content:
            application/json:
              schema:
                type: object
                required:
                  - total
                  - page
                  - page_size
                  - data
                properties:
                  total:
                    type: integer
                  page:
                    type: integer
                  page_size:
                    type: integer
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/BulkApiObjectRecordResult'
                description: >-
                  Successful response returned when fetching completed query job
                  results.
            application/x-ndjson:
              schema:
                type: string
        '400':
          description: Response for any operation that results in a bad request error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                properties:
                  status:
                    type: string
                    enum:
                      - bad_request
                  errors:
                    type: array
                    items:
                      $ref: '#/components/schemas/UResponses.BadRequestError'
                  message:
                    type: string
                description: >-
                  Response for any operation that results in a bad request
                  error.
        '401':
          description: Response for any operation that results in an unauthorized error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - unauthorized
                  message:
                    type: string
                description: >-
                  Response for any operation that results in an unauthorized
                  error.
        '404':
          description: Response returned when a query job cannot be found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBulkApiJobNotFoundResponse'
        '409':
          description: Response returned when query job results are not ready yet.
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/GetBulkApiJobResultsNotReadyResponse'
                  - $ref: '#/components/schemas/GetBulkApiJobResultsFailedResponse'
                  - $ref: '#/components/schemas/GetBulkApiJobResultsCanceledResponse'
        '410':
          description: Response returned when query job results have expired.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBulkApiJobResultsExpiredResponse'
        '413':
          description: >-
            Response returned when a requested query job results page is too
            large.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetBulkApiJobResultsPayloadTooLargeResponse
        '429':
          description: Response for any operation that exceeds a rate limit.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - rate_limited
                  message:
                    type: string
                description: Response for any operation that exceeds a rate limit.
        '500':
          description: Response for any operation that results in an internal server error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                description: >-
                  Response for any operation that results in an internal server
                  error.
components:
  schemas:
    UObjects.UObjectName:
      type: string
      description: |-
        The API name of an object, e.g. `company`, `person`, `opportunity`, or a
        custom object's API name.
    BulkApiObjectRecordResult:
      type: object
      required:
        - object
        - id
        - created_at
        - updated_at
        - attributes
      properties:
        object:
          type: string
          description: The API name of the object this record is an instance of.
          readOnly: true
        id:
          $ref: '#/components/schemas/UValues.UUuid'
          description: Unique UUID identifier for the record.
          readOnly: true
        created_at:
          type: string
          format: date-time
          description: Date and time the record was created.
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: Date and time the record was last updated.
          readOnly: true
        attributes:
          type: object
          unevaluatedProperties:
            anyOf:
              - $ref: '#/components/schemas/UValues.UValue'
              - $ref: '#/components/schemas/BulkApiObjectRecordResult'
              - type: 'null'
          description: >-
            Attribute values for the record. Each key is the API name of the
            attribute

            and each value is the corresponding attribute value for the record.
      description: An object record returned by an object record query job.
    UResponses.BadRequestError:
      type: object
      required:
        - code
      properties:
        code:
          type: string
        path:
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        object_api_name:
          type: string
        attribute_api_name:
          type: string
      allOf:
        - type: object
          unevaluatedProperties: {}
      description: Validation error detail returned for bad request responses.
    GetBulkApiJobNotFoundResponse:
      type: object
      allOf:
        - type: object
          required:
            - status
            - message
          properties:
            status:
              type: string
              enum:
                - not_found
            message:
              type: string
          description: Response for any operation that results in a not found error.
      description: Response returned when a query job cannot be found.
    GetBulkApiJobResultsNotReadyResponse:
      type: object
      allOf:
        - type: object
          required:
            - status
            - message
          properties:
            status:
              type: string
              enum:
                - results_not_ready
            message:
              type: string
          description: Response for any operation that results in a conflict error.
      description: Response returned when query job results are not ready yet.
    GetBulkApiJobResultsFailedResponse:
      type: object
      allOf:
        - type: object
          required:
            - status
            - message
          properties:
            status:
              type: string
              enum:
                - results_failed
            message:
              type: string
          description: Response for any operation that results in a conflict error.
      description: Response returned when a query job failed and has no results.
    GetBulkApiJobResultsCanceledResponse:
      type: object
      allOf:
        - type: object
          required:
            - status
            - message
          properties:
            status:
              type: string
              enum:
                - results_canceled
            message:
              type: string
          description: Response for any operation that results in a conflict error.
      description: Response returned when a query job was canceled and has no results.
    GetBulkApiJobResultsExpiredResponse:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: string
          enum:
            - results_expired
        message:
          type: string
      description: Response returned when query job results have expired.
    GetBulkApiJobResultsPayloadTooLargeResponse:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: string
          enum:
            - results_page_too_large
        message:
          type: string
      description: Response returned when a requested query job results page is too large.
    UValues.UUuid:
      type: string
      description: String UUIDv4 value.
      title: UUuid
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.